Package net.shibboleth.idp.session.context.navigate

# Class LogoutContextSessionLookupFunction

java.lang.Object
net.shibboleth.idp.session.context.navigate.LogoutContextSessionLookupFunction

All Implemented Interfaces:
  `Function<LogoutContext,SPSession>`, `ContextDataLookupFunction<LogoutContext,SPSession>`

public class LogoutContextSessionLookupFunction extends Object implements ContextDataLookupFunction<LogoutContext,SPSession>
A function that returns a session from a `LogoutContext` and removes it from that context at the same time.

The exact session returned is unspecified.

## Constructor Summary

Constructors
Constructor
Description
`LogoutContextSessionLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`SPSession`
`apply(LogoutContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### LogoutContextSessionLookupFunction

public LogoutContextSessionLookupFunction()

## Method Details

### apply

@Nullable public SPSession apply(@Nullable LogoutContext input)

Specified by:
  `apply` in interface `Function<LogoutContext,SPSession>`